<?php
/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/11/20
 * Time: 上午11:37
 */
Route::group(['domain'=>env('CHANNEL_DOMAIN'), 'namespace'=>'App\Http\Controllers\Channel\Finance','prefix'=>'api','middleware'=>'ChannelApiAuth'],function () {

    Route::group(['middleware'=>'ChannelOperateRecord'],function (){
        Route::get('getWithdrawCashStatus','FinanceController@getWithdrawCashStatus');

        //添加提现
        Route::post('addWithdrawCash','WithdrawCashController@add_withdrawCash');
        //获取提现信息列表
        Route::get('withdrawCashs','WithdrawCashController@get_list');
        //财务对账
        Route::get('WithdrawCash/financialCounting','WithdrawCashController@financial_counting');
        //财务审核
        Route::get('WithdrawCash/financialAudit','WithdrawCashController@financial_audit');
        //对账统计数据
        Route::get('WithdrawCash/dataStatistics','WithdrawCashController@data_statistics');

        //创建打款信息
        Route::post('addPayment','PaymentController@add_payment');
        //打款列表
        Route::get('payments','PaymentController@get_list');
        //打款列表详情
        Route::get('listPayments','PaymentController@get_listDetail');

        //获取提现汇总信息
        Route::get('getFinancialStat','FinancialStatController@get_FinancialStatInfo');
        //获取账号信息列表
        Route::get('financialStats','FinancialStatController@get_FinancialStatListDetail');
        //结算明细
        Route::get('financialStatSettlementPriceDetail','FinancialStatController@settlement_price_detail');

        //账号冻结，与解冻
        Route::get('getFinancialConfig','FinancialConfigController@get_frozen');
        //变更账号冻结，与解冻
        Route::post('changeFinancialConfig','FinancialConfigController@change_frozen');

        //佣金结算比例列表
        Route::get('commissionRates','CommissionRateController@get_list');
        //获取当前渠道当前佣金比例
        Route::get('getCommissionRate','CommissionRateController@get_commissionRate');

        //添加更新银行账号
        Route::post('addCashAccount','CashAccountsController@add_cashAccount');
        //获取银行账号
        Route::get('getCashAccount','CashAccountsController@get_cashAccount');
        //获取修改验证码
        Route::get('getCashAccountSms','CashAccountsController@getCashAccountSms');




        //获取结算列表
        Route::get('bills','BillsController@get_list');
        //获取结算列表导出
        Route::get('exportBills','BillsController@export');



        //获取银行列表
        Route::get('banks','BankController@getBankList');

        //获取提现账号城市列表
        Route::get('cities','WithdrawCashController@cities');


        Route::get('OfficialAccountBills/getList','OfficialAccountBills@getList');
    });
});